Retrieve a registered verifier application instance
Roles
Analytics Events
/v2/presentations/applications/{applicationId}/instances/{instanceId}Retrieves a registered instance of a verifier application.
Analytic events
- CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_RETRIEVE_START
- CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_RETRIEVE_SUCCESS
- CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier for the verifier application.
uuidUnique identifier for the registered verifier application instance.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/presentations/applications/281d20b3-42a3-40dd-b29a-115ff32b02b7/instances/1ef1f867-20b4-48ea-aec1-bea7aff4964c"{
"id": "1ef1f867-20b4-48ea-aec1-bea7aff4964c",
"appAttestationType": "key_attestation",
"registeredAt": "2023-10-05T14:48:00.000Z",
"licenseExpiresAt": "2024-10-05T14:48:00.000Z",
"lastAttestedAt": "2023-12-01T10:30:00.000Z",
"externalReferenceId": "external-ref-12345",
"deviceDetails": {
"deviceModel": "iPhone 12",
"deviceMake": "Apple",
"osVersion": "iOS 14.4"
},
"sdkDetails": {
"sdkVersion": "1.2.3"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve all registered verifier application instances GET
Retrieves all registered instances of a verifier application. This can be used by application owners to view all registered instances for a given verifier application. ### **Analytic events** * CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_RETRIEVE_LIST_START * CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_RETRIEVE_LIST_SUCCESS * CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_RETRIEVE_LIST_FAIL
Delete a registered verifier application instance DELETE
Deletes a registered instance of a verifier application. Deleted instances will no longer be able to interact with the platform or receive tokens, and any existing tokens will be revoked. Application owners can use this endpoint to remove individual instances that are no longer needed or were registered by mistake, without affecting the entire verifier application or its other instances. This is useful for cleaning up test instances or managing specific devices, rather than deleting the whole application and all its associated instances. ### **Analytic events** * CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_DELETE_START * CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_DELETE_SUCCESS * CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_INSTANCE_DELETE_FAIL